# PhasicFlow: cellsWallLevels< executionSpace > Class Template Reference

cellsWallLevels< executionSpace > Class Template Reference
Collaboration diagram for cellsWallLevels< executionSpace >:
[legend]

## Public Types

using | cellsWallLevel0Type = cellsWallLevel0< executionSpace >
using | IdType = typename cellsWallLevel0Type::IdType
using | IndexType = typename cellsWallLevel0Type::IndexType
using | Cells = typename cellsWallLevel0Type::Cells
using | CellType = typename Cells::CellType
using | execution_space = typename cellsWallLevel0Type::execution_space
using | memory_space = typename cellsWallLevel0Type::memory_space
using | iBoxType = iBox< IndexType >

## Public Member Functions

| TypeInfoNV ("cellsWallLevels")
FUNCTION_H | cellsWallLevels (int32 numLevels, const Vector< Cells > &cellsLevels, real cellExtent, int32 numPoints, int32 numElements, const ViewType1D< realx3, memory_space > &points, const ViewType1D< int32x3, memory_space > &vertices)
template<typename PairsContainer , typename particleMapType >
bool | broadSearch (PairsContainer &pairs, particleMapType &particleMap)
template<typename PairsContainer , typename particleMapType >
bool | particleWallFindPairs (PairsContainer &pairs, particleMapType &particleMap)

## Protected Attributes

int32 | numLevles_ =1
Vector< cellsWallLevel0Type > | cellsWallLevels_

## Detailed Description

### template<typename executionSpace>
class pFlow::cellsWallLevels< executionSpace >

Definition at line 32 of file cellsWallLevels.hpp.

## Member Typedef Documentation

## cellsWallLevel0Type

using cellsWallLevel0Type = cellsWallLevel0<executionSpace>

Definition at line 36 of file cellsWallLevels.hpp.

## IdType

using IdType = typename cellsWallLevel0Type::IdType

Definition at line 38 of file cellsWallLevels.hpp.

## IndexType

using IndexType = typename cellsWallLevel0Type::IndexType

Definition at line 40 of file cellsWallLevels.hpp.

## Cells

using Cells = typename cellsWallLevel0Type::Cells

Definition at line 42 of file cellsWallLevels.hpp.

## CellType

using CellType = typename Cells::CellType

Definition at line 44 of file cellsWallLevels.hpp.

## execution_space

using execution_space = typename cellsWallLevel0Type::execution_space

Definition at line 46 of file cellsWallLevels.hpp.

## memory_space

using memory_space = typename cellsWallLevel0Type::memory_space

Definition at line 48 of file cellsWallLevels.hpp.

## iBoxType

using iBoxType = iBox<IndexType>

Definition at line 50 of file cellsWallLevels.hpp.

## Constructor & Destructor Documentation

## cellsWallLevels()

FUNCTION_H cellsWallLevels | ( | int32 | numLevels,
|  | const Vector< Cells > & | cellsLevels,
|  | real | cellExtent,
|  | int32 | numPoints,
|  | int32 | numElements,
|  | const ViewType1D< realx3, memory_space > & | points,
|  | const ViewType1D< int32x3, memory_space > & | vertices
| ) |  |

inline

Definition at line 64 of file cellsWallLevels.hpp.

References cellsWallLevels< executionSpace >::cellsWallLevels_, and cellsWallLevels< executionSpace >::numLevles_.

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "cellsWallLevels< executionSpace >" |  | ) |

## broadSearch()

bool broadSearch | ( | PairsContainer & | pairs,
|  | particleMapType & | particleMap
| ) |  |

inline

Definition at line 96 of file cellsWallLevels.hpp.

References cellsWallLevels< executionSpace >::cellsWallLevels_, cellsWallLevels< executionSpace >::numLevles_, and cellsWallLevels< executionSpace >::particleWallFindPairs().

Referenced by multiGridMapping< executionSpace >::broadSearch().

Here is the call graph for this function:
Here is the caller graph for this function:

## particleWallFindPairs()

bool particleWallFindPairs | ( | PairsContainer & | pairs,
|  | particleMapType & | particleMap
| ) |  |

inline

Definition at line 111 of file cellsWallLevels.hpp.

References cellsWallLevels< executionSpace >::cellsWallLevels_, endINFO, INFORMATION, pFlow::max(), and cellsWallLevels< executionSpace >::numLevles_.

Referenced by cellsWallLevels< executionSpace >::broadSearch().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## numLevles_

int32 numLevles_ =1

protected

Definition at line 54 of file cellsWallLevels.hpp.

Referenced by cellsWallLevels< executionSpace >::broadSearch(), cellsWallLevels< executionSpace >::cellsWallLevels(), and cellsWallLevels< executionSpace >::particleWallFindPairs().

## cellsWallLevels_

Vector<cellsWallLevel0Type> cellsWallLevels_

protected

Definition at line 57 of file cellsWallLevels.hpp.

Referenced by cellsWallLevels< executionSpace >::broadSearch(), cellsWallLevels< executionSpace >::cellsWallLevels(), and cellsWallLevels< executionSpace >::particleWallFindPairs().

The documentation for this class was generated from the following file:

- src/Interaction/contactSearch/wallMappings/cellsWallLevels.hpp